gnutls_srp_verifier(3)

NAME
gnutls_srp_verifier - Used to calculate an SRP verifier

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_srp_verifier(const char * username, const char * password, const gnutls_datum_t * salt, const gnutls_datum_t * generator, const gnutls_datum_t * prime, gnutls_datum_t * res);

ARGUMENTS

const char * username
    is the user's name

const char * password
    is the user's password

const gnutls_datum_t * salt
    should be some randomly generated bytes

const gnutls_datum_t * generator
    is the generator of the group

const gnutls_datum_t * prime
    is the group's prime

gnutls_datum_t * res
    where the verifier will be stored.

DESCRIPTION
This function will create an SRP verifier, as specified in RFC2945. The prime and generator should be one of the static parameters defined in gnutls/extra.h or may be generated using the GCRYPT functions gcry_prime_generate() and gcry_prime_group_generator(). The verifier will be allocated with malloc and will be stored in res using binary format.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.